
QGIS Application - Bug report #19969

GDAL_contour not found

2018-09-27 04:18 PM - Nicole Morgan

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.2.3 Regression?: No

Operating System: Mac OSX 10.11.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27791

Description

I am trying to make contours from a base layer using the default contour tool and get "/bin/sh: gdal_contour: command not found"

History

#1 - 2018-09-27 04:27 PM - Johannes Kroeger

How exactly did you install QGIS and did you modify anything during the installation process?

#2 - 2018-09-27 05:09 PM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

- Priority changed from High to Normal

#3 - 2018-09-27 05:10 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2018-09-27 06:34 PM - Nicole Morgan

Johannes Kroeger wrote:

How exactly did you install QGIS and did you modify anything during the installation process?

I downloaded the .dmg installer from QGIS website and did not make any modifications. I updated to Python 3.6.6, used the GDAL package installer, then

the QGIS installer.

#5 - 2018-09-28 05:15 PM - Giovanni Manghi

Nicole Morgan wrote:

Johannes Kroeger wrote:

How exactly did you install QGIS and did you modify anything during the installation process?

I downloaded the .dmg installer from QGIS website and did not make any modifications. I updated to Python 3.6.6, used the GDAL package

installer, then the QGIS installer.
are you able to launch any GDAL utility (https://www.gdal.org/gdal_utilities.html) from the command line (I assume that when installing GDAL on macOS

the path pointing to those utilities is added to the "PATH" at a system level)?

#6 - 2018-09-28 08:38 PM - Nicole Morgan

- File Read Me.rtf added

Giovanni Manghi wrote:

Nicole Morgan wrote:

Johannes Kroeger wrote:

How exactly did you install QGIS and did you modify anything during the installation process?

I downloaded the .dmg installer from QGIS website and did not make any modifications. I updated to Python 3.6.6, used the GDAL package

installer, then the QGIS installer.

are you able to launch any GDAL utility (https://www.gdal.org/gdal_utilities.html) from the command line (I assume that when installing GDAL on

macOS the path pointing to those utilities is added to the "PATH" at a system level)?

I read further into the install notes, and it looks like this version does not find external tools. I shouldn't have rushed when installing apparently. The steps

suggested in this document worked to get GDAL working.

#7 - 2018-09-28 09:10 PM - Giovanni Manghi

I read further into the install notes, and it looks like this version does not find external tools. I shouldn't have rushed when installing apparently. The

steps suggested in this document worked to get GDAL working.

so... closing?

#8 - 2018-10-14 12:02 PM - Saber Razmjooei

- Status changed from Feedback to Closed

Files

Read Me.rtf 5.71 KB 2018-09-28 Nicole Morgan
